Package com.io7m.montarre.api

# Record Class MFlatpakRuntime

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MFlatpakRuntime

Record Components:
  `name` - The runtime name (such as "org.freedesktop.Platform").
  `version` - The version (such as "24.08")
  `role` - The runtime role

All Implemented Interfaces:
  `MFlatpakMetadataElementType`

public record MFlatpakRuntime(String name, String version, MFlatpakRuntimeRole role) extends Record implements MFlatpakMetadataElementType
A flatpak runtime.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MFlatpakRuntime(String name, String version, MFlatpakRuntimeRole role)`
  A flatpak runtime.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `fullName(MArchitectureName architecture)`
  Obtain the full name, including the architecture.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `MFlatpakRuntimeRole`
  `role()`
  Returns the value of the `role` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `version()`
  Returns the value of the `version` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MFlatpakRuntime

    public MFlatpakRuntime(String name, String version, MFlatpakRuntimeRole role)
    A flatpak runtime.
    Parameters:
      `name` - The runtime name (such as "org.freedesktop.Platform").
      `version` - The version (such as "24.08")
      `role` - The runtime role

- ## Method Details

  - ### fullName

    public String fullName(MArchitectureName architecture)
    Obtain the full name, including the architecture.
    Parameters:
      `architecture` - The architecture
    Returns:
      The full name

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### version

    public String version()
    Returns the value of the `version` record component.
    Returns:
      the value of the `version` record component

  - ### role

    public MFlatpakRuntimeRole role()
    Returns the value of the `role` record component.
    Returns:
      the value of the `role` record component